Scalingo-18 Stack

This article describes the scalingo-18 stack, based on Ubuntu 18.04. What is a stack?

Support Period

scalingo-18 is based on Ubuntu 18.04. It will be supported through April 2023.

Testing and Upgrading Your App

Learn how to test and upgrade your app to scalingo-18.

Docker Image

This base image is a completely standard Docker image. You can run it locally with this command:

docker pull scalingo/scalingo-18:latest
docker run --rm -it scalingo/scalingo-18:latest bash

Ubuntu Packages

The following table lists available packages and versions for the stack scalingo-18.

In general, apps do not typically interact directly with this level of operating system services. Some app dependencies may, as well as apps that directly rely on the underlying operating system. The list below is provided to document the available operating system packages.

Name Version
adduser 3.116ubuntu1
apt 1.6.12
autoconf 2.69-11
automake 1:1.15.1-3ubuntu2
autotools-dev 20180224.1
base-files 10.1ubuntu2.7
base-passwd 3.5.44
bash 4.4.18-2ubuntu1.2
bind9-host 1:9.11.3+dfsg-1ubuntu1.11
binfmt-support 2.1.8-2
binutils 2.30-21ubuntu1~18.04.2
binutils-common:amd64 2.30-21ubuntu1~18.04.2
binutils-x86-64-linux-gnu 2.30-21ubuntu1~18.04.2
bsdutils 1:2.31.1-0.4ubuntu3.4
build-essential 12.4ubuntu1
bzip2 1.0.6-8.1ubuntu0.2
bzip2-doc 1.0.6-8.1ubuntu0.2
bzr 2.7.0+bzr6622-10
ca-certificates 20180409
clang-6.0 1:6.0-1ubuntu2
coreutils 8.28-1ubuntu1
cpp 4:7.4.0-1ubuntu2.3
cpp-7 7.4.0-1ubuntu1~18.04.1
cron 3.0pl1-128.1ubuntu1
curl 7.58.0-2ubuntu3.8
dash 0.5.8-2.10
dbus 1.12.2-1ubuntu1.1
debconf 1.5.66ubuntu1
debianutils 4.8.4
diffutils 1:3.6-1
dirmngr 2.2.4-1ubuntu1.2
dnsutils 1:9.11.3+dfsg-1ubuntu1.11
docutils-common 0.14+dfsg-3
docutils-doc 0.14+dfsg-3
dpkg 1.19.0.5ubuntu2.3
dpkg-dev 1.19.0.5ubuntu2.3
e2fsprogs 1.44.1-1ubuntu1.2
ed 1.10-2.1
fakeroot 1.22-2ubuntu1
fdisk 2.31.1-0.4ubuntu3.4
file 1:5.32-2ubuntu0.3
findutils 4.6.0+git+20170828-2
fontconfig 2.12.6-0ubuntu2
fontconfig-config 2.12.6-0ubuntu2
fonts-dejavu-core 2.37-1
fonts-droid-fallback 1:6.0.1r16-1.1
fonts-lato 2.0-2
fonts-noto-mono 20171026-2
g++ 4:7.4.0-1ubuntu2.3
g++-7 7.4.0-1ubuntu1~18.04.1
gcc 4:7.4.0-1ubuntu2.3
gcc-7 7.4.0-1ubuntu1~18.04.1
gcc-7-base:amd64 7.4.0-1ubuntu1~18.04.1
gcc-8-base:amd64 8.3.0-6ubuntu1~18.04.1
geoip-database 20180315-1
ghostscript 9.26~dfsg+0-0ubuntu0.18.04.12
gir1.2-freedesktop:amd64 1.56.1-1
gir1.2-gdkpixbuf-2.0:amd64 2.36.11-2
gir1.2-glib-2.0:amd64 1.56.1-1
gir1.2-harfbuzz-0.0:amd64 1.7.2-1ubuntu1
gir1.2-rsvg-2.0:amd64 2.40.20-2
git 1:2.17.1-1ubuntu0.5
git-man 1:2.17.1-1ubuntu0.5
gnupg 2.2.4-1ubuntu1.2
gnupg-l10n 2.2.4-1ubuntu1.2
gnupg-utils 2.2.4-1ubuntu1.2
gnupg2 2.2.4-1ubuntu1.2
gpg 2.2.4-1ubuntu1.2
gpg-agent 2.2.4-1ubuntu1.2
gpg-wks-client 2.2.4-1ubuntu1.2
gpg-wks-server 2.2.4-1ubuntu1.2
gpgconf 2.2.4-1ubuntu1.2
gpgsm 2.2.4-1ubuntu1.2
gpgv 2.2.4-1ubuntu1.2
grep 3.1-2build1
gsfonts 1:8.11+urwcyr1.0.7~pre44-4.4
gzip 1.6-5ubuntu1
hicolor-icon-theme 0.17-2
hostname 3.20
icu-devtools 60.2-3ubuntu3
ieee-data 20180204.1
imagemagick 8:6.9.7.4+dfsg-16ubuntu6.8
imagemagick-6-common 8:6.9.7.4+dfsg-16ubuntu6.8
imagemagick-6.q16 8:6.9.7.4+dfsg-16ubuntu6.8
init-system-helpers 1.51
javascript-common 11
krb5-locales 1.16-2ubuntu0.1
less 487-0.1
lib32gcc1 1:8.3.0-6ubuntu1~18.04.1
lib32stdc++6 8.3.0-6ubuntu1~18.04.1
libacl1:amd64 2.2.52-3build1
libalgorithm-diff-perl 1.19.03-1
libalgorithm-diff-xs-perl 0.04-5
libalgorithm-merge-perl 0.08-3
libapparmor1:amd64 2.12-4ubuntu5.1
libapt-pkg5.0:amd64 1.6.12
libargon2-0:amd64 0~20161029-1.1
libargon2-0-dev:amd64 0~20161029-1.1
libasan4:amd64 7.4.0-1ubuntu1~18.04.1
libasn1-8-heimdal:amd64 7.5.0+dfsg-1
libassuan0:amd64 2.5.1-2
libatomic1:amd64 8.3.0-6ubuntu1~18.04.1
libattr1:amd64 1:2.4.47-2build1
libaudit-common 1:2.8.2-1ubuntu1
libaudit1:amd64 1:2.8.2-1ubuntu1
libavahi-client3:amd64 0.7-3.1ubuntu1.2
libavahi-common-data:amd64 0.7-3.1ubuntu1.2
libavahi-common3:amd64 0.7-3.1ubuntu1.2
libbind9-160:amd64 1:9.11.3+dfsg-1ubuntu1.11
libbinutils:amd64 2.30-21ubuntu1~18.04.2
libblkid1:amd64 2.31.1-0.4ubuntu3.4
libbsd0:amd64 0.8.7-1
libbz2-1.0:amd64 1.0.6-8.1ubuntu0.2
libbz2-dev:amd64 1.0.6-8.1ubuntu0.2
libc-bin 2.27-3ubuntu1
libc-dev-bin 2.27-3ubuntu1
libc6:amd64 2.27-3ubuntu1
libc6-dev:amd64 2.27-3ubuntu1
libc6-i386 2.27-3ubuntu1
libcairo-gobject2:amd64 1.15.10-2ubuntu0.1
libcairo-script-interpreter2:amd64 1.15.10-2ubuntu0.1
libcairo2:amd64 1.15.10-2ubuntu0.1
libcairo2-dev:amd64 1.15.10-2ubuntu0.1
libcap-ng0:amd64 0.7.7-3.1
libcc1-0:amd64 8.3.0-6ubuntu1~18.04.1
libcilkrts5:amd64 7.4.0-1ubuntu1~18.04.1
libclang-common-6.0-dev 1:6.0-1ubuntu2
libclang1-6.0:amd64 1:6.0-1ubuntu2
libcom-err2:amd64 1.44.1-1ubuntu1.2
libcroco3:amd64 0.6.12-2
libcups2:amd64 2.2.7-1ubuntu2.7
libcupsfilters1:amd64 1.20.2-0ubuntu3.1
libcupsimage2:amd64 2.2.7-1ubuntu2.7
libcurl3-gnutls:amd64 7.58.0-2ubuntu3.8
libcurl4:amd64 7.58.0-2ubuntu3.8
libcurl4-openssl-dev:amd64 7.58.0-2ubuntu3.8
libdatrie1:amd64 0.2.10-7
libdb5.3:amd64 5.3.28-13.1ubuntu1.1
libdbus-1-3:amd64 1.12.2-1ubuntu1.1
libdebconfclient0:amd64 0.213ubuntu1
libdjvulibre-dev:amd64 3.5.27.1-8ubuntu0.1
libdjvulibre-text 3.5.27.1-8ubuntu0.1
libdjvulibre21:amd64 3.5.27.1-8ubuntu0.1
libdns1100:amd64 1:9.11.3+dfsg-1ubuntu1.11
libdpkg-perl 1.19.0.5ubuntu2.3
libedit2:amd64 3.1-20170329-1
libelf1:amd64 0.170-0.4ubuntu0.1
liberror-perl 0.17025-1
libevent-2.1-6:amd64 2.1.8-stable-4build1
libevent-core-2.1-6:amd64 2.1.8-stable-4build1
libevent-dev 2.1.8-stable-4build1
libevent-extra-2.1-6:amd64 2.1.8-stable-4build1
libevent-openssl-2.1-6:amd64 2.1.8-stable-4build1
libevent-pthreads-2.1-6:amd64 2.1.8-stable-4build1
libexif-dev:amd64 0.6.21-4
libexif-doc 0.6.21-4
libexif12:amd64 0.6.21-4
libexpat1:amd64 2.2.5-3ubuntu0.2
libexpat1-dev:amd64 2.2.5-3ubuntu0.2
libext2fs2:amd64 1.44.1-1ubuntu1.2
libfakeroot:amd64 1.22-2ubuntu1
libfdisk1:amd64 2.31.1-0.4ubuntu3.4
libffi-dev:amd64 3.2.1-8
libffi6:amd64 3.2.1-8
libfftw3-double3:amd64 3.3.7-1
libfile-fcntllock-perl 0.22-3build2
libfontconfig1:amd64 2.12.6-0ubuntu2
libfontconfig1-dev:amd64 2.12.6-0ubuntu2
libfreetype6:amd64 2.8.1-2ubuntu2
libfreetype6-dev:amd64 2.8.1-2ubuntu2
libgc1c2:amd64 1:7.4.2-8ubuntu1
libgcc-7-dev:amd64 7.4.0-1ubuntu1~18.04.1
libgcc1:amd64 1:8.3.0-6ubuntu1~18.04.1
libgcrypt20:amd64 1.8.1-4ubuntu1.1
libgd-dev:amd64 2.2.5-4ubuntu0.3
libgd3:amd64 2.2.5-4ubuntu0.3
libgdbm-compat4:amd64 1.14.1-6
libgdbm5:amd64 1.14.1-6
libgdk-pixbuf2.0-0:amd64 2.36.11-2
libgdk-pixbuf2.0-bin 2.36.11-2
libgdk-pixbuf2.0-common 2.36.11-2
libgdk-pixbuf2.0-dev 2.36.11-2
libgeoip1:amd64 1.6.12-1
libgirepository-1.0-1:amd64 1.56.1-1
libglib2.0-0:amd64 2.56.4-0ubuntu0.18.04.4
libglib2.0-bin 2.56.4-0ubuntu0.18.04.4
libglib2.0-data 2.56.4-0ubuntu0.18.04.4
libglib2.0-dev:amd64 2.56.4-0ubuntu0.18.04.4
libglib2.0-dev-bin 2.56.4-0ubuntu0.18.04.4
libgmp-dev:amd64 2:6.1.2+dfsg-2
libgmp10:amd64 2:6.1.2+dfsg-2
libgmpxx4ldbl:amd64 2:6.1.2+dfsg-2
libgnutls30:amd64 3.5.18-1ubuntu1.1
libgomp1:amd64 8.3.0-6ubuntu1~18.04.1
libgpg-error0:amd64 1.27-6
libgpm2:amd64 1.20.7-5
libgraphite2-3:amd64 1.3.11-2
libgraphite2-dev:amd64 1.3.11-2
libgs9:amd64 9.26~dfsg+0-0ubuntu0.18.04.12
libgs9-common 9.26~dfsg+0-0ubuntu0.18.04.12
libgssapi-krb5-2:amd64 1.16-2ubuntu0.1
libgssapi3-heimdal:amd64 7.5.0+dfsg-1
libharfbuzz-dev:amd64 1.7.2-1ubuntu1
libharfbuzz-gobject0:amd64 1.7.2-1ubuntu1
libharfbuzz-icu0:amd64 1.7.2-1ubuntu1
libharfbuzz0b:amd64 1.7.2-1ubuntu1
libhcrypto4-heimdal:amd64 7.5.0+dfsg-1
libheimbase1-heimdal:amd64 7.5.0+dfsg-1
libheimntlm0-heimdal:amd64 7.5.0+dfsg-1
libhogweed4:amd64 3.4-1
libhx509-5-heimdal:amd64 7.5.0+dfsg-1
libice-dev:amd64 2:1.0.9-2
libice6:amd64 2:1.0.9-2
libicu-dev 60.2-3ubuntu3
libicu-le-hb-dev:amd64 1.0.3+git161113-4
libicu-le-hb0:amd64 1.0.3+git161113-4
libicu60:amd64 60.2-3ubuntu3
libiculx60:amd64 60.2-3ubuntu3
libidn11:amd64 1.33-2.1ubuntu1.2
libidn2-0:amd64 2.0.4-1.1ubuntu0.2
libijs-0.35:amd64 0.35-13
libilmbase-dev 2.2.0-11ubuntu2
libilmbase12:amd64 2.2.0-11ubuntu2
libirs160:amd64 1:9.11.3+dfsg-1ubuntu1.11
libisc169:amd64 1:9.11.3+dfsg-1ubuntu1.11
libisccc160:amd64 1:9.11.3+dfsg-1ubuntu1.11
libisccfg160:amd64 1:9.11.3+dfsg-1ubuntu1.11
libisl19:amd64 0.19-1
libitm1:amd64 8.3.0-6ubuntu1~18.04.1
libjbig-dev:amd64 2.1-3.1build1
libjbig0:amd64 2.1-3.1build1
libjbig2dec0:amd64 0.13-6
libjpeg-dev:amd64 8c-2ubuntu8
libjpeg-turbo8:amd64 1.5.2-0ubuntu5.18.04.3
libjpeg-turbo8-dev:amd64 1.5.2-0ubuntu5.18.04.3
libjpeg8:amd64 8c-2ubuntu8
libjpeg8-dev:amd64 8c-2ubuntu8
libjs-jquery 3.2.1-1
libjs-sphinxdoc 1.6.7-1ubuntu1
libjs-underscore 1.8.3~dfsg-1
libjson-c3:amd64 0.12.1-1.3
libjsoncpp1:amd64 1.7.4-3
libk5crypto3:amd64 1.16-2ubuntu0.1
libkeyutils1:amd64 1.5.9-9.2ubuntu2
libkrb5-26-heimdal:amd64 7.5.0+dfsg-1
libkrb5-3:amd64 1.16-2ubuntu0.1
libkrb5support0:amd64 1.16-2ubuntu0.1
libksba8:amd64 1.3.5-2
liblcms2-2:amd64 2.9-1ubuntu0.1
liblcms2-dev:amd64 2.9-1ubuntu0.1
libldap-2.4-2:amd64 2.4.45+dfsg-1ubuntu1.4
libldap-common 2.4.45+dfsg-1ubuntu1.4
libllvm6.0:amd64 1:6.0-1ubuntu2
liblocale-gettext-perl 1.07-3build2
liblqr-1-0:amd64 0.4.2-2.1
liblqr-1-0-dev:amd64 0.4.2-2.1
liblsan0:amd64 8.3.0-6ubuntu1~18.04.1
libltdl-dev:amd64 2.4.6-2
libltdl7:amd64 2.4.6-2
liblwres160:amd64 1:9.11.3+dfsg-1ubuntu1.11
liblz4-1:amd64 0.0~r131-2ubuntu3
liblzma-dev:amd64 5.2.2-1.3
liblzma5:amd64 5.2.2-1.3
liblzo2-2:amd64 2.08-1.2
libmagic-mgc 1:5.32-2ubuntu0.3
libmagic1:amd64 1:5.32-2ubuntu0.3
libmagick++-6-headers 8:6.9.7.4+dfsg-16ubuntu6.8
libmagick++-6.q16-7:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagick++-6.q16-dev:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagick++-dev 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickcore-6-arch-config:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickcore-6-headers 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickcore-6.q16-3:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickcore-6.q16-3-extra:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickcore-6.q16-dev:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickcore-dev 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickwand-6-headers 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickwand-6.q16-3:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickwand-6.q16-dev:amd64 8:6.9.7.4+dfsg-16ubuntu6.8
libmagickwand-dev 8:6.9.7.4+dfsg-16ubuntu6.8
libmcrypt-dev 2.5.8-3.3
libmcrypt4 2.5.8-3.3
libmount1:amd64 2.31.1-0.4ubuntu3.4
libmpc3:amd64 1.1.0-1
libmpdec2:amd64 2.4.2-1ubuntu1
libmpfr6:amd64 4.0.1-1
libmpx2:amd64 8.3.0-6ubuntu1~18.04.1
libmysqlclient-dev 5.7.28-0ubuntu0.18.04.4
libmysqlclient20:amd64 5.7.28-0ubuntu0.18.04.4
libncurses5:amd64 6.1-1ubuntu1.18.04
libncursesw5:amd64 6.1-1ubuntu1.18.04
libnetpbm10 2:10.0-15.3build1
libnettle6:amd64 3.4-1
libnghttp2-14:amd64 1.30.0-1ubuntu1
libnpth0:amd64 1.5-3
libobjc-7-dev:amd64 7.4.0-1ubuntu1~18.04.1
libobjc4:amd64 8.3.0-6ubuntu1~18.04.1
libomp-dev 5.0.1-1
libomp5:amd64 5.0.1-1
libopenexr-dev 2.2.0-11.1ubuntu1.1
libopenexr22:amd64 2.2.0-11.1ubuntu1.1
libp11-kit0:amd64 0.23.9-2
libpam-modules:amd64 1.1.8-3.6ubuntu2.18.04.1
libpam-modules-bin 1.1.8-3.6ubuntu2.18.04.1
libpam-runtime 1.1.8-3.6ubuntu2.18.04.1
libpam0g:amd64 1.1.8-3.6ubuntu2.18.04.1
libpango-1.0-0:amd64 1.40.14-1ubuntu0.1
libpangocairo-1.0-0:amd64 1.40.14-1ubuntu0.1
libpangoft2-1.0-0:amd64 1.40.14-1ubuntu0.1
libpaper-utils 1.1.24+nmu5ubuntu1
libpaper1:amd64 1.1.24+nmu5ubuntu1
libpcre16-3:amd64 2:8.39-9
libpcre3:amd64 2:8.39-9
libpcre3-dev:amd64 2:8.39-9
libpcre32-3:amd64 2:8.39-9
libpcrecpp0v5:amd64 2:8.39-9
libperl5.26:amd64 5.26.1-6ubuntu0.3
libpipeline1:amd64 1.5.0-1
libpixman-1-0:amd64 0.34.0-2
libpixman-1-dev:amd64 0.34.0-2
libpng-dev:amd64 1.6.34-1ubuntu0.18.04.2
libpng-tools 1.6.34-1ubuntu0.18.04.2
libpng16-16:amd64 1.6.34-1ubuntu0.18.04.2
libpopt0:amd64 1.16-11
libpq-dev 12.1-1.pgdg18.04+1
libpq5:amd64 12.1-1.pgdg18.04+1
libprocps6:amd64 2:3.3.12-3ubuntu1.2
libpsl5:amd64 0.19.1-5build1
libpthread-stubs0-dev:amd64 0.3-4
libpython-dev:amd64 2.7.15~rc1-1
libpython-stdlib:amd64 2.7.15~rc1-1
libpython2.7:amd64 2.7.17-1~18.04
libpython2.7-dev:amd64 2.7.17-1~18.04
libpython2.7-minimal:amd64 2.7.17-1~18.04
libpython2.7-stdlib:amd64 2.7.17-1~18.04
libpython3-stdlib:amd64 3.6.7-1~18.04
libpython3.6:amd64 3.6.9-1~18.04
libpython3.6-dev:amd64 3.6.9-1~18.04
libpython3.6-minimal:amd64 3.6.9-1~18.04
libpython3.6-stdlib:amd64 3.6.9-1~18.04
libquadmath0:amd64 8.3.0-6ubuntu1~18.04.1
libreadline-dev:amd64 7.0-3
libreadline5:amd64 5.2+dfsg-3build1
libreadline7:amd64 7.0-3
libroken18-heimdal:amd64 7.5.0+dfsg-1
librsvg2-2:amd64 2.40.20-2
librsvg2-common:amd64 2.40.20-2
librsvg2-dev:amd64 2.40.20-2
librtmp1:amd64 2.4+20151223.gitfa8646d.1-1
libruby2.5:amd64 2.5.1-1ubuntu1.6
libsasl2-2:amd64 2.1.27~101-g0780600+dfsg-3ubuntu2
libsasl2-dev 2.1.27~101-g0780600+dfsg-3ubuntu2
libsasl2-modules:amd64 2.1.27~101-g0780600+dfsg-3ubuntu2
libsasl2-modules-db:amd64 2.1.27~101-g0780600+dfsg-3ubuntu2
libseccomp2:amd64 2.4.1-0ubuntu0.18.04.2
libselinux1:amd64 2.7-2build2
libsemanage-common 2.7-2build2
libsemanage1:amd64 2.7-2build2
libsepol1:amd64 2.7-1
libsigsegv2:amd64 2.12-1
libsm-dev:amd64 2:1.2.2-1
libsm6:amd64 2:1.2.2-1
libsmartcols1:amd64 2.31.1-0.4ubuntu3.4
libsqlite0 2.8.17-14fakesync1
libsqlite0-dev 2.8.17-14fakesync1
libsqlite3-0:amd64 3.22.0-1ubuntu0.2
libsqlite3-dev:amd64 3.22.0-1ubuntu0.2
libss2:amd64 1.44.1-1ubuntu1.2
libssl-dev:amd64 1.1.1-1ubuntu2.1~18.04.5
libssl1.0.0:amd64 1.0.2n-1ubuntu5.3
libssl1.1:amd64 1.1.1-1ubuntu2.1~18.04.5
libstdc++-7-dev:amd64 7.4.0-1ubuntu1~18.04.1
libstdc++6:amd64 8.3.0-6ubuntu1~18.04.1
libsystemd0:amd64 237-3ubuntu10.33
libtasn1-6:amd64 4.13-2
libthai-data 0.1.27-2
libthai0:amd64 0.1.27-2
libtiff-dev 4.0.9-5ubuntu0.3
libtiff5:amd64 4.0.9-5ubuntu0.3
libtiff5-dev:amd64 4.0.9-5ubuntu0.3
libtiffxx5:amd64 4.0.9-5ubuntu0.3
libtinfo-dev:amd64 6.1-1ubuntu1.18.04
libtinfo5:amd64 6.1-1ubuntu1.18.04
libtool 2.4.6-2
libtsan0:amd64 8.3.0-6ubuntu1~18.04.1
libubsan0:amd64 7.4.0-1ubuntu1~18.04.1
libudev1:amd64 237-3ubuntu10.33
libunistring2:amd64 0.9.9-0ubuntu2
libuuid1:amd64 2.31.1-0.4ubuntu3.4
libvpx-dev:amd64 1.7.0-3ubuntu0.18.04.1
libvpx5:amd64 1.7.0-3ubuntu0.18.04.1
libwebp6:amd64 0.6.1-2
libwebpdemux2:amd64 0.6.1-2
libwebpmux3:amd64 0.6.1-2
libwind0-heimdal:amd64 7.5.0+dfsg-1
libwmf-dev 0.2.8.4-12
libwmf0.2-7:amd64 0.2.8.4-12
libx11-6:amd64 2:1.6.4-3ubuntu0.2
libx11-data 2:1.6.4-3ubuntu0.2
libx11-dev:amd64 2:1.6.4-3ubuntu0.2
libx11-doc 2:1.6.4-3ubuntu0.2
libxau-dev:amd64 1:1.0.8-1
libxau6:amd64 1:1.0.8-1
libxcb-render0:amd64 1.13-2~ubuntu18.04
libxcb-render0-dev:amd64 1.13-2~ubuntu18.04
libxcb-shm0:amd64 1.13-2~ubuntu18.04
libxcb-shm0-dev:amd64 1.13-2~ubuntu18.04
libxcb1:amd64 1.13-2~ubuntu18.04
libxcb1-dev:amd64 1.13-2~ubuntu18.04
libxdmcp-dev:amd64 1:1.1.2-3
libxdmcp6:amd64 1:1.1.2-3
libxext-dev:amd64 2:1.3.3-1
libxext6:amd64 2:1.3.3-1
libxml2:amd64 2.9.4+dfsg1-6.1ubuntu1.2
libxml2-dev:amd64 2.9.4+dfsg1-6.1ubuntu1.2
libxmuu1:amd64 2:1.1.2-2
libxpm-dev:amd64 1:3.5.12-1
libxpm4:amd64 1:3.5.12-1
libxrender-dev:amd64 1:0.9.10-1
libxrender1:amd64 1:0.9.10-1
libxslt1-dev:amd64 1.1.29-5ubuntu0.2
libxslt1.1:amd64 1.1.29-5ubuntu0.2
libxt-dev:amd64 1:1.1.5-1
libxt6:amd64 1:1.1.5-1
libyaml-0-2:amd64 0.1.7-2ubuntu3
libzip-dev:amd64 1.1.2-1.1
libzip4:amd64 1.1.2-1.1
libzstd1:amd64 1.3.3+dfsg-2ubuntu1.1
linux-libc-dev:amd64 4.15.0-72.81
llvm-6.0 1:6.0-1ubuntu2
llvm-6.0-dev 1:6.0-1ubuntu2
llvm-6.0-runtime 1:6.0-1ubuntu2
locales 2.27-3ubuntu1
login 1:4.5-1ubuntu2
logrotate 3.11.0-0.1ubuntu1
lsb-base 9.20170808ubuntu1
m4 1.4.18-1
make 4.1-9.1ubuntu1
manpages 4.15-1
manpages-dev 4.15-1
mawk 1.3.3-17ubuntu3
mercurial 4.5.3-1ubuntu2.1
mercurial-common 4.5.3-1ubuntu2.1
mime-support 3.60ubuntu1
mount 2.31.1-0.4ubuntu3.4
multiarch-support 2.27-3ubuntu1
mysql-common 5.8+1.0.4
nano 2.9.3-2
ncurses-base 6.1-1ubuntu1.18.04
ncurses-bin 6.1-1ubuntu1.18.04
netbase 5.4
netpbm 2:10.0-15.3build1
openssh-client 1:7.6p1-4ubuntu0.3
openssl 1.1.1-1ubuntu2.1~18.04.5
passwd 1:4.5-1ubuntu2
patch 2.7.6-2ubuntu1.1
perl 5.26.1-6ubuntu0.3
perl-base 5.26.1-6ubuntu0.3
perl-modules-5.26 5.26.1-6ubuntu0.3
pgdg-keyring 2018.2
pinentry-curses 1.1.0-1
pkg-config 0.29.1-0ubuntu2
poppler-data 0.4.8-2
postgresql-client-common 210.pgdg18.04+1
postgresql-common 210.pgdg18.04+1
postgresql-server-dev-10 10.11-1.pgdg18.04+1
postgresql-server-dev-11 11.6-1.pgdg18.04+1
postgresql-server-dev-12 12.1-1.pgdg18.04+1
postgresql-server-dev-9.4 9.4.25-1.pgdg18.04+1
postgresql-server-dev-9.5 9.5.20-1.pgdg18.04+1
postgresql-server-dev-9.6 9.6.16-1.pgdg18.04+1
postgresql-server-dev-all 210.pgdg18.04+1
procps 2:3.3.12-3ubuntu1.2
publicsuffix 20180223.1310-1
python 2.7.15~rc1-1
python-asn1crypto 0.24.0-1
python-babel 2.4.0+dfsg.1-2ubuntu1
python-babel-localedata 2.4.0+dfsg.1-2ubuntu1
python-blinker 1.4+dfsg1-0.1
python-bs4 4.6.0-1
python-bzrlib 2.7.0+bzr6622-10
python-certifi 2018.1.18-2
python-cffi-backend 1.11.5-1
python-chardet 3.0.4-1
python-concurrent.futures 3.2.0-1
python-configobj 5.0.6-2
python-crypto 2.6.1-8ubuntu2
python-cryptography 2.1.4-1ubuntu1.3
python-dbus 1.2.6-1
python-debtcollector 1.13.0-0ubuntu1
python-docutils 0.14+dfsg-3
python-enum34 1.1.6-2
python-funcsigs 1.0.2-4
python-gi 3.26.1-2ubuntu1
python-html5lib 0.999999999-1
python-httplib2 0.9.2+dfsg-1ubuntu0.1
python-idna 2.6-1
python-ipaddress 1.0.17-1
python-iso8601 0.1.11-1
python-jwt 1.5.3+ds1-1
python-keyring 10.6.0-1
python-keyrings.alt 3.0-1
python-keystoneauth1 3.4.0-0ubuntu1
python-keystoneclient 1:3.15.0-0ubuntu1
python-launchpadlib 1.10.6-1
python-lazr.restfulclient 0.13.5-1
python-lazr.uri 1.0.3-2build1
python-lxml:amd64 4.2.1-1ubuntu0.1
python-minimal 2.7.15~rc1-1
python-monotonic 1.1-2
python-msgpack 0.5.6-1
python-netaddr 0.7.19-1
python-netifaces 0.10.4-0.1build4
python-oauth 1.0.1-5
python-oauthlib 2.0.6-1
python-olefile 0.45.1-1
python-openssl 17.5.0-1ubuntu1
python-oslo.config 1:5.2.0-0ubuntu1
python-oslo.i18n 3.19.0-0ubuntu1
python-oslo.serialization 2.24.0-0ubuntu2
python-oslo.utils 3.35.0-0ubuntu1
python-pbr 3.1.1-3ubuntu3
python-pil:amd64 5.1.0-1
python-pkg-resources 39.0.1-2
python-positional 1.1.1-3
python-pygments 2.2.0+dfsg-1
python-pyparsing 2.2.0+dfsg1-2
python-requests 2.18.4-2ubuntu0.1
python-rfc3986 0.3.1-2
python-roman 2.0.0-3
python-secretstorage 2.3.1-2
python-simplejson 3.13.2-1
python-six 1.11.0-2
python-stevedore 1:1.28.0-0ubuntu1
python-swiftclient 1:3.5.0-0ubuntu1
python-tz 2018.3-2
python-urllib3 1.22-1ubuntu0.18.04.1
python-wadllib 1.3.2-3ubuntu0.18.04.1
python-webencodings 0.5-2
python-wrapt 1.9.0-3
python-yaml 3.12-1build2
python-zope.interface 4.3.2-1build2
python2.7 2.7.17-1~18.04
python2.7-minimal 2.7.17-1~18.04
python3 3.6.7-1~18.04
python3-distutils 3.6.9-1~18.04
python3-lib2to3 3.6.9-1~18.04
python3-minimal 3.6.7-1~18.04
python3.6 3.6.9-1~18.04
python3.6-minimal 3.6.9-1~18.04
rake 12.3.1-1
readline-common 7.0-3
rsync 3.1.2-2.1ubuntu1
ruby 1:2.5.1
ruby-did-you-mean 1.2.0-2
ruby-minitest 5.10.3-1
ruby-net-telnet 0.1.1-2
ruby-power-assert 0.3.0-1
ruby-test-unit 3.2.5-1
ruby2.5 2.5.1-1ubuntu1.6
ruby2.5-dev:amd64 2.5.1-1ubuntu1.6
ruby2.5-doc 2.5.1-1ubuntu1.6
rubygems-integration 1.11
sed 4.4-2
sensible-utils 0.0.12
sgml-base 1.29
shared-mime-info 1.9-2
sqlite3 3.22.0-1ubuntu0.2
ssl-cert 1.0.39
sysvinit-utils 2.88dsf-59.10ubuntu1
tar 1.29b-2ubuntu0.1
telnet 0.17-41
tzdata 2019c-0ubuntu0.18.04
ubuntu-keyring 2018.09.18.1~18.04.0
ucf 3.0038
unzip 6.0-21ubuntu1
util-linux 2.31.1-0.4ubuntu3.4
vim 2:8.0.1453-1ubuntu1.1
vim-common 2:8.0.1453-1ubuntu1.1
vim-runtime 2:8.0.1453-1ubuntu1.1
wget 1.19.4-1ubuntu2.2
x11-common 1:7.7+19ubuntu7.1
x11proto-core-dev 2018.4-4
x11proto-dev 2018.4-4
x11proto-xext-dev 2018.4-4
xauth 1:1.0.10-1
xdg-user-dirs 0.17-1ubuntu1
xml-core 0.18
xorg-sgml-doctools 1:1.11-1
xtrans-dev 1.3.5-1
xxd 2:8.0.1453-1ubuntu1.1
xz-utils 5.2.2-1.3
zip 3.0-11build1
zlib1g:amd64 1:1.2.11.dfsg-0ubuntu2
zlib1g-dev:amd64 1:1.2.11.dfsg-0ubuntu2

mode_edit Suggest edits